Bug 415868 - Should use QML_INSTALL_DIR for qml module directory
Summary: Should use QML_INSTALL_DIR for qml module directory
Status: RESOLVED FIXED
Alias: None
Product: libalkimia
Classification: Unclassified
Component: General (show other bugs)
Version: 8.0.0
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-04 11:38 UTC by Luca Weiss
Modified: 2020-11-05 08:32 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 8.0.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luca Weiss 2020-01-04 11:38:15 UTC
SUMMARY
The qml files get installed into /usr/lib/qt5/qml/org/kde/alkimia, but the CMakeLists should use QML_INSTALL_DIR provided by extra-cmake-modules instead of hardcoding it ("set(QML_INSTALL_DIR ${LIB_INSTALL_DIR}/qt5/qml)").

See https://bugs.archlinux.org/task/65001
Comment 1 Antonio Rojas 2020-01-06 12:10:54 UTC
Git commit f91f51bd3cdf385afbd53e3dd0415b55f3d5480d by Antonio Rojas.
Committed on 06/01/2020 at 12:10.
Pushed by arojas into branch '8.0'.

Don't hardcode the QML install dir

extra-cmake-modules already sets the correct QML_INSTALL_DIR, don't hardcode it to some distro-specific path
Differential Revision: https://phabricator.kde.org/D26455

M  +0    -1    qml/CMakeLists.txt

https://commits.kde.org/alkimia/f91f51bd3cdf385afbd53e3dd0415b55f3d5480d
Comment 2 Antonio Rojas 2020-01-06 12:13:02 UTC
Git commit 13a427b2e33552d0efcd6d5aba8bf40a58a3174b by Antonio Rojas.
Committed on 06/01/2020 at 12:12.
Pushed by arojas into branch 'master'.

Don't hardcode the QML install dir

extra-cmake-modules already sets the correct QML_INSTALL_DIR, don't hardcode it to some distro-specific path
Differential Revision: https://phabricator.kde.org/D26455

M  +0    -1    qml/CMakeLists.txt

https://commits.kde.org/alkimia/13a427b2e33552d0efcd6d5aba8bf40a58a3174b
Comment 3 Ralf Habacker 2020-01-07 07:51:01 UTC
(In reply to Luca Weiss from comment #0)
> According to the libalkimia source, the only object exported 
> via qml is "AlkOnlineQuote" but I can't find any usage of that
> in kmymoney
For the record: This is an extension to use online source support outside of KMYMoney and can be used in e.g. Plasma applets.